# About the Marathon Infinity Multiplayer Enhancement Pack v1.5
The original Marathon weapons were not really designed with people in mind. They were designed to be effective against slow and stupid aliens that could not dodge shots and could not operate their weaponry while they were being blasted by the player. Human players are a bit more intelligent, and faster than that.

This physics model addresses those changes and has undergone thorough balance testing during its development. Weapon switching delay is now nearly non-existant and random damage has been taken out of the game. Weapons that would normally never see action in an otherwise SPNKR filled multiplayer match can now go up against a SPNKR armed player under the right conditions.  

Enjoy **MIMEP**.

## Goals
- Strategic application of weapons. No dead guns. Every gun should serve a purpose.
- Eliminate randomness. It should be possible to estimate your opponents remaining health.
- Combine weapons to kill more effectively. Quick weapon switching.
- Balance. There should be no gun to rule them all. 

# The Weapons

## Fists
Fists are the same as before excluding Damage Random/Base change. Use them for the perfect humiliation effect at extreme close range.

## .44 Magnum Pistols
Pistols are now extremely easy to hit with. Use them to easily finish off a wounded opponent from mid to long range.

## MA-75B Assault Rifle
The assault rifle is now a lot more accurate than we have (grudgingly) grown accustomed to. The grenades are now nearly two times faster than previously which along with its accuracy makes it a lot more usable at short to mid range.

## SPNKR Rocket Launcher
No changes apart from Damage Base/Random changes. All around killer weapon for any situation although best at mid-range. Remember, Don't go running blindly into a battle with the SPNKR against other weapons as they are not the harmless pea shooters anymore you had grown accustomed to.

## Zeus Class Fusion Pistol
The Fusion Pistol is back, but this time inspired by the plasma pistol from Halo. The Bolts are now fast enough to actually make a difference, and secondary trigger now drains 260 health from your opponent, acting as a great way to take out opponents shields. Works well at short and mid range, in relatively flat areas.

Note that the secondary trigger has quite a kick for the unlucky receiver. It can stun him for a second or two so be quick to switch to a more fitting weapon to finish him off.

## TOZT-7 Flamethrower
No changes apart from Damage Base/Random adjustments. It is still a fearful weapon to be used at extreme close range.

## Alien Weapon
The speed increase now makes the alien weapon actually usable at short and mid range. And also makes it a good way to clear an area.

Secondary trigger now allows you to charge it up for an extremely fast and accurate high damage yield shot. It will cost you 1/3 of your ammo clip though.

## WSTM Shotguns
No changes apart from Damage Base/Random adjustments. The shotguns still work beautifully at close and mid range. Also fitting for long range if you are finishing off a wounded opponent.

## KKV-7 SMG Flechette
Still the good old SMG we've grown accustomed to although with slight damage/accuracy/speed changes.

# Bug Reports
Thoughts? Bug Reports? Hatemail? Ideas?  
Send them to johannesg@johannesg.com or file an issue at https://github.com/johannesgunnar/Marathon-Infinity-Multiplayer-Enhancement-Pack/issues

# Credits
Jóhannes Gunnar Þorsteinsson  
http://www.johannesg.com  
johannesg@johannesg.com

Göran Svensson  
goransvensson@gmail.com

# Version Notes

## v1.5 2013-02-16
- .44 Magnum Pistol bullet speed increased from 1024 to 4096.
- MA-75B Assault Rifle bullet increased from 1024 to 4096.
- WSTM Shotgun Bullet speed increased from 1024 to 4096.
- Alien Weapon is now dual function instead of a multipurpose, and therefor now has chargable secondary trigger set to a long-range high damage shot (unused 2).
- Alien Weapon secondary trigger burst count set to 5. Note that due to its charge-up nature. Actual ingame burst count is 20. Therefor, 3 shots available.
- Alien Weapon ammo capacity decreased from 2000 to 60 and no longer has random ammo on pickup.
- Alien Weapon no longer has angular flipping on secondary trigger.
- Alien Weapon Blast damage decreased from 24 to 30.
- Alien Weapon Blast no longer alien.
- Alien Weapon Blast now persistent and virulent.
- Alien Weapon secondary blast (unused 2) speed set to 4096.
- Alien Weapon secondary blast (unused 2) damage set to 34.
- Alien Weapon secondary blast (unused 2) set to Usually pass transparent sides and can toggle control panels.
- Alien Weapon secondary blast (unused 2) radius set to 20.
- The old KKV-7 SMG Flechette is back, automatic mid/long range weapon.
- KKV-7 SMG Flechette bullet damage decreased from 253 to 12.
- KKV-7 SMG Flechette bullet speed increased from 2048 to 4096.
- KKV-7 SMG Flechette rounds/magazine increased from 1 to 32.
- KKV-7 SMG Flechette ticks/round decreased from 15 to -1.
- KKV-7 SMG Flechette recovery ticks decreased from 15 to 0.
- KKV-7 SMG Flechette burst count reduced from 2 to 0.
- KKV-7 SMG Flechette recoil magnitude reduced from 20 to 5.
- KKV-7 SMG Flechette is automatic again.
- Enforcers set to use unused 1 shot slot instead of Alien Weapon Blast so not to make them overpowered when playing against monsters.

## v1.0 2013-02-01
- First version uploaded to Simplici7y.
- **Damage Random** set to **0** on all weapons. Therefor every weapon sees **base damage** increase by **1/2** of the original **damage random** value.
- **Ready time** (time between weapon switching) set to **1**.
- Fists: **Damage Base** increased from **50** to **55**.
- .44 Magnum Pistols **Damage Base** increased from **20** to **24**.
- .44 Magnum Pistols **Radius** increased from **0** to **400**.
- .44 Magnum Pistols **Recoil** decreased from **10** to **0**.
- MA-75B Assault Rifle primary trigger **Theta Error** decreased from **10** to **7**.
- MA-75B Assault Rifle primary trigger **Damage Base** increased from **9** to **12**.
- MA-75B Assault Rifle secondary trigger **Damage Base** decreased from **80** to **70**.
- MA-75B Assault Rifle secondary trigger **Area of effect** increased from **768** to **1024**.
- MA-75B Assault Rifle secondary trigger **Speed increased** from **256** to **400**.
- MA-75B Assault Rifle secondary trigger **Double affected by gravity** box **checked**.
- SPNKR Rocket Launcher **Damage Base** increased from **250** to **275**.
- Zeus Class Fusion Pistol primary trigger **Damage Base** increased from **30** to **45**.
- Zeus Class Fusion Pistol primary trigger **Speed** increased from **256** to **512**.
- Zeus Class Fusion Pistol secondary trigger **Damage Type** set from **Fusion Bolt** to **Energy Drain**.
- Zeus Class Fusion Pistol secondary trigger **Damage Base** increased from **30** to **260**.
- Zeus Class Fusion Pistol secondary trigger **Speed** increased from **256** to **768**.
- TOZT-7 Flamethrower **Damage Base** increased from **8** to **10**.
- Alien Weapon **Damage Base** increased from **20** to **24**.
- Alien Weapon **Speed** increased from **256** to **512**.
- WSTM Shotguns **Damage Base** increased from **20** to **22**.
- KKV-7 SMG Flechette **Automatic** checkbox **unchecked**.
- KKV-7 SMG Flechette **Damage Base** increased from **9** to **253**.
- KKV-7 SMG Flechette **Speed** increased from **1024** to **2048**.
- KKV-7 SMG Flechette **Firing sound** changed from **"SMG firing (Inf only)"** to **"Cyborg Attack"**.
- KKV-7 SMG Flechette **Rounds/magazine** changed from **32** to **1**.
- KKV-7 SMG Flechette **Ticks/round** increased from **-1** to **15**.
- KKV-7 SMG Flechette **Recovery Ticks** changed from **0** to **15**.
- KKV-7 SMG Flechette **Recoil Magnitude** increased from **5** to **20**.
- KKV-7 SMG Flechette **Theta error** decreased from **3** to **0**.
- KKV-7 SMG Flechette **Burst count** decreased from **2** to **0**.